/* Animation Sets */

/* move from / to  */

.pt-page-moveToLeft {
    -webkit-animation: moveToLeft 2s ease both;
    -moz-animation: moveToLeft 2s ease both;
    animation: moveToLeft 2s ease both;
}
.pt-page-moveFromLeft {
    -webkit-animation: moveFromLeft 2s ease both;
    -moz-animation: moveFromLeft 2s ease both;
    animation: moveFromLeft 2s ease both;
}
.pt-page-moveToRight {
    -webkit-animation: moveToRight 2s ease both;
    -moz-animation: moveToRight 2s ease both;
    animation: moveToRight 2s ease both;
}
.pt-page-moveFromRight {
    -webkit-animation: moveFromRight 2s ease both;
    -moz-animation: moveFromRight 2s ease both;
    animation: moveFromRight 2s ease both;
}
.pt-page-moveToTop {
    -webkit-animation: moveToTop 1s ease both;
    -moz-animation: moveToTop 1s ease both;
    animation: moveToTop 1s ease both;
}
.pt-page-moveFromTop {
    -webkit-animation: moveFromTop 1s ease both;
    -moz-animation: moveFromTop 1s ease both;
    animation: moveFromTop 1s ease both;
}
.pt-page-moveToBottom {
    -webkit-animation: moveToBottom 1s ease both;
    -moz-animation: moveToBottom 1s ease both;
    animation: moveToBottom 1s ease both;
}
.pt-page-moveFromBottom {
    -webkit-animation: moveFromBottom 1s ease both;
    -moz-animation: moveFromBottom 1s ease both;
    animation: moveFromBottom 1s ease both;
}


/********************************* keyframes **************************************/

/* move from / to  */

@-webkit-keyframes moveToLeft {
    to { -webkit-transform: translateX(-100%); }
}
@-moz-keyframes moveToLeft {
    to { -moz-transform: translateX(-100%); }
}
@keyframes moveToLeft {
    to { transform: translateX(-100%); }
}

@-webkit-keyframes moveFromLeft {
    from { -webkit-transform: translateX(-100%); }
}
@-moz-keyframes moveFromLeft {
    from { -moz-transform: translateX(-100%); }
}
@keyframes moveFromLeft {
    from { transform: translateX(-100%); }
}

@-webkit-keyframes moveToRight {
    to { -webkit-transform: translateX(100%); }
}
@-moz-keyframes moveToRight {
    to { -moz-transform: translateX(100%); }
}
@keyframes moveToRight {
    to { transform: translateX(100%); }
}

@-webkit-keyframes moveFromRight {
    from { -webkit-transform: translateX(100%); }
}
@-moz-keyframes moveFromRight {
    from { -moz-transform: translateX(100%); }
}
@keyframes moveFromRight {
    from { transform: translateX(100%); }
}

@-webkit-keyframes moveToTop {
    to { -webkit-transform: translateY(-100%); }
}
@-moz-keyframes moveToTop {
    to { -moz-transform: translateY(-100%); }
}
@keyframes moveToTop {
    to { transform: translateY(-100%); }
}

@-webkit-keyframes moveFromTop {
    from { -webkit-transform: translateY(-100%); }
}
@-moz-keyframes moveFromTop {
    from { -moz-transform: translateY(-100%); }
}
@keyframes moveFromTop {
    from { transform: translateY(-100%); }
}

@-webkit-keyframes moveToBottom {
    to { -webkit-transform: translateY(100%); }
}
@-moz-keyframes moveToBottom {
    to { -moz-transform: translateY(100%); }
}
@keyframes moveToBottom {
    to { transform: translateY(100%); }
}

@-webkit-keyframes moveFromBottom {
    from { -webkit-transform: translateY(100%); }
}
@-moz-keyframes moveFromBottom {
    from { -moz-transform: translateY(100%); }
}
@keyframes moveFromBottom {
    from { transform: translateY(100%); }
}



/* animation delay classes */

.pt-page-delay100 {
    -webkit-animation-delay: .1s;
    -moz-animation-delay: .1s;
    animation-delay: .1s;
}
.pt-page-delay180 {
    -webkit-animation-delay: .180s;
    -moz-animation-delay: .180s;
    animation-delay: .180s;
}
.pt-page-delay200 {
    -webkit-animation-delay: .2s;
    -moz-animation-delay: .2s;
    animation-delay: .2s;
}
.pt-page-delay300 {
    -webkit-animation-delay: .3s;
    -moz-animation-delay: .3s;
    animation-delay: .3s;
}
.pt-page-delay400 {
    -webkit-animation-delay: .4s;
    -moz-animation-delay: .4s;
    animation-delay: .4s;
}
.pt-page-delay500 {
    -webkit-animation-delay: .5s;
    -moz-animation-delay: .5s;
    animation-delay: .5s;
}
.pt-page-delay700 {
    -webkit-animation-delay: .7s;
    -moz-animation-delay: .7s;
    animation-delay: .7s;
}
.pt-page-delay1000 {
    -webkit-animation-delay: 1s;
    -moz-animation-delay: 1s;
    animation-delay: 1s;
}